> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/deferred-deep-linking/deferred-deep-linking.md).

# Deferred Deep Linking

## Retrieve a deferred deep link

> Retrieves information about the deferred deep linking event. This call should be \
> performed when the consumer first opens the app. It provides deep link data but \
> does not log a conversion event.<br>

```json
{"openapi":"3.1.0","info":{"title":"Brand Deferred Deep Link API","version":"v11"},"servers":[{"url":"https://trkapi.impact.com","description":"Tracking API Server"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"DeepLinkRequest":{"type":"object","required":["CampaignId","ImpactAppId","EventDate"],"properties":{"CampaignId":{"type":"integer","description":"Unique identifier for your program."},"ImpactAppId":{"type":"integer","description":"The System App Id assigned to your app in impact.com."},"EventDate":{"type":"string","format":"date-time","description":"Date and time the app install happened (ISO 8601)."},"IpAddress":{"type":"string","description":"Hashed public IPv4 or IPv6 address. Automatically collected if called in-app."},"AppleIfa":{"type":"string","description":"Apple Identifier for Advertising (IDFA)."},"GoogAId":{"type":"string","description":"Google Advertising Identifier."},"AppInstallRef":{"type":"string","description":"Unique Install Referrer retrieved from Google Play Store."},"AppPackage":{"type":"string","description":"Unique app ID or bundle ID."},"CustomProfileId":{"type":"string","description":"Third party web tracking cookie."}}},"DeepLinkResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"URL of the web page the consumer was redirected to before the app store."},"clickId":{"type":"string","description":"Unique identifier generated by impact.com for the referring click."},"clickIpAddress":{"type":"string","description":"IP Address captured prior to the app store redirect."},"connectionIpAddress":{"type":"string","description":"IP Address captured when the connection to this endpoint is made."}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Issue"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/Issue"}}}},"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The parameter where the issue was found."},"level":{"type":"string","description":"Severity (ERROR or WARNING)."},"message":{"type":"string","description":"Detailed information about the issue."}}}}},"paths":{"/AppInstall":{"post":{"operationId":"getDeferredDeepLink","tags":["Deferred Deep Linking"],"summary":"Retrieve a deferred deep link","description":"Retrieves information about the deferred deep linking event. This call should be \nperformed when the consumer first opens the app. It provides deep link data but \ndoes not log a conversion event.\n","requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DeepLinkRequest"}}}},"responses":{"200":{"description":"OK - Returns success attributes even if no match was found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeepLinkResponse"}}}},"400":{"description":"Bad Request - Returns an array of errors or warnings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/deferred-deep-linking/deferred-deep-linking.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
